Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.html
Class Font

    java.lang.Object
      org.mortbay.html.Element
          org.mortbay.html.Composite
              org.mortbay.html.Block
                  org.mortbay.html.Font

    public class Font

extends Block

HTML Font Block. Each Element added to the List (which is a Composite) is treated as a new List Item.

See Also:
  `Block`

Field Summary

Fields inherited from class org.mortbay.html.Block
`Bold, Center, Div, Italic, Left, Listing, Plain, Pre, Quote, Right, Span, Xmp`

Fields inherited from class org.mortbay.html.Composite
`elements, nest`

Fields inherited from class org.mortbay.html.Element
`ALIGN, attributeMap, BGCOLOR, BOTTOM, CENTER, CLASS, COLOR, HEIGHT, ID, LEFT, MIDDLE, noAttributes, RIGHT, SIZE, STYLE, TOP, VALIGN, WIDTH`

Constructor Summary
`Font()`
`Font(int size)`
`Font(int size, boolean relativeSize)`
`Font(int size, java.lang.String attributes)`
`Font(java.lang.String attributes)`

Method Summary
`Font` | `face(java.lang.String face)`

Methods inherited from class org.mortbay.html.Block
`write`

Methods inherited from class org.mortbay.html.Composite
`add, contents, nest, replace, reset, setNest, size, unnest`

Methods inherited from class org.mortbay.html.Element
`attribute, attribute, attribute, attributes, attributes, bgColor, bottom, center, color, cssClass, cssID, height, height, height, left, middle, right, setAttributesFrom, size, size, style, top, toString, width, width, width, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Font

    public Font()

### Font

    public Font(int size)

### Font

    public Font(int size,
                boolean relativeSize)

### Font

    public Font(int size,
                java.lang.String attributes)

### Font

    public Font(java.lang.String attributes)

Method Detail

### face

    public Font face(java.lang.String face)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.